eye-candy per e17

ciao!

daniele mi ha chiesto di mandarvi qualche link per xgl/aiglx sotto e17.
per il momento ci sono 3 possiblita:

- bling
  almeno per quanto sappia io, questo modulo fa solo le trasparenze e le
  ombre, se avete xgl attivato. si trova nel vcs di e17.

- bang
  e un modulo che fa i effetti "expose" e qualche altra cosa. potete
  vederlo in azione qui [1]. lho messo anche su mia homepage [2], pero e
  stato introdotto in agosto... per me out of date.

- egloo
  e un modulo nuovo, che ha fatto un francese in febbraio. non so, se
  lavora ancora su questo. potete scaricarlo e vedere qualche immagine
  qui [3]

altro non ce,

saluti daniel

[1]: http://video.google.com/videoplay?docid=-1067110727577498167
[2]: http://home.cs.tum.edu/~siegel/files/bang.tar.gz
[3]: http://mtreny.free.fr/egloo/

ciao!

[snip]

- egloo
  e un modulo nuovo, che ha fatto un francese in febbraio. non so, se
  lavora ancora su questo. potete scaricarlo e vedere qualche immagine
  qui [3]

Mitico :slight_smile: Thanks for sharing.

Sto compilando egloo :smiley:

altro non ce,

saluti daniel

Ciao ciao,
DAniele

> ciao!
[snip]
> - egloo
> e un modulo nuovo, che ha fatto un francese in febbraio. non so, se
> lavora ancora su questo. potete scaricarlo e vedere qualche immagine
> qui [3]
>
Mitico :slight_smile: Thanks for sharing.

Sto compilando egloo :smiley:

va? :wink:

No :frowning:

Ho provato la versione più recente delle tre disponibili, di suo non si
compilerebbe nemmeno (ecore-config pretende anche -lXp che non ho e NON
ho intenzione di avere), patchato il config per togliere questa
dipendenza compila senza errori, ma poi quando tento di caricare il
modulo mi dice

unknown symbol: glXReleaseTexImageEXT

Ho provato ad andare anche in unstable con i moduli di X ma non è
cambiato nulla... mi sono fermato qui per in attesa del weekend per fare
altre prove.

Al momento niente exposé :frowning:

Scriverò altri risultati in lista (sperando che siano positivi :slight_smile:

Ciao,
DAniele

> > Sto compilando egloo :smiley:
>
> va? :wink:

No :frowning:

peccato.. neanche qui va.

ce lho fatto a compilare egloo e a inziarlo. pero mi manca una versione
recente di glx, che purtroppo non esiste per il mio tower vecchio (che
ha la nvidia).

devi solo ricompilare evas (e tutti i lib che basano su evas) con i
argomenti: --enable-gl-x11, --enable-software-x11 e --enable-xrender-x11

./autogen.sh --enable-gl-x11 --enable-software-x11 --enable-xrender-x11

fatto questo dovrebbe andare.

saluti daniel